/*
 * Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

/**
 * High-level interfaces and annotations used to create RESTful service
 * resources. For example:
 * <pre>
 * &#064;Path("widgets/{widgetid}")
 * &#064;Consumes("application/widgets+xml")
 * &#064;Produces("application/widgets+xml")
 * public class WidgetResource {
 *
 *     &#064;GET
 *     public String getWidget(&#064;PathParam("widgetid") String id) {
 *         return getWidgetAsXml(id);
 *     }
 *
 *     &#064;PUT
 *     public void updateWidget(&#064;PathParam("widgetid") String id,
 *                              Source update) {
 *         updateWidgetFromXml(id, update);
 *     }
 *
 *     ...
 * }
 * </pre>
 */
package javax.ws.rs;
